      subroutine ut2td_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of
!     ut2td_drv.
!
!     B. Knapp, 2002-12-18
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(3)
      external ut2td_drv
!
      call ut2td_drv( %val(argv(1)), %val(argv(2)), %val(argv(3)) )
!
      return
      end

      subroutine ut2td_drv( n, ut, td )
!
!     Driver interface (for use by IDL call_external) to function
!     ut2td.
!
!     B. Knapp, 2002-12-18
!
      implicit none
!
!     Input:
      integer*4 n
      real*8 ut(n)
!
!     Output:
      real*8 td(n)
!
!     External functions, subroutines
      real*8 ut2td
      external ut2td

!     Local:
      integer*4 j
!
      do j=1,n
         td(j) = ut2td( ut(j) )
      enddo
      return
      end
